LFR-FSW - Bug #531

champs PA_BIA_ON_OFF AND al de TM_LFR_SCIENCE_BURST_BP*_F* ne sont pas mis a jour /
TC_LFR_UPDATE_INFO

04/10/2015 05:00 PM - Veronique bouzid

Status: Closed Start date: 04/10/2015
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

Bug signalé depuis dans JIRA :
https://jira-lesia.obspm.fr/orowse/RPWMEB-508

Si on change la valeur du parametre CP_PDU_BIAS_ON_OFF ( 0 vers 1) dans TC_LFR_UPDATE_INFO, on s'attend a voir ce
parametre mis a jour dans les TM_LFR_SCIENCE

produites apres la prise en compte de la TC_LFR_UPDATE_INFO. Le champ se nomme PA_BIA_ON_OFF dans
TM_LFR_SCIENCE_BURST_BP*.

hors ce n'est pas le cas.

Voici liste des champs de TC_LFR_UPDATE_INFO qui ne sont recopiés dans les TM_LFR_SCIENCE_BURST_BP*
- CP_PDU_BIAS ON_OFF

- PA_ BIA_ MODE_MUX_SET

- PA_BIA_ MODE_HV_ENABLED

- PA_BIA_ MODE_BIAS1_ENABLED

- PA_BIA_MODE_BIAS2 _ENABLED

- PA_BIA_MODE_BIAS3_ENABLED

le script joué se nomme /opt/VALIDATION_RS3/Ifrverif/LFR_SVS/SVS-0038/update_info_burst.py
Les fichiers (2015_10_03-11_19_22) sont rangés dans le répertoire /home/validation/data/R3/3.0.0.9/1.1.89/SVS-0038/burst

Contexte du test

FSW 3.0.0.9

VHDL 1.1.89

EM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee

Related issues:
Related to Bug #456: champs PA_BIA_ON_OFF AND al de TM_LFR_SCIENCE_NORMAL_BP... Closed 02/07/2015

History

#1 - 05/10/2015 08:18 AM - paul leroy
- Status changed from New to Feedback

- Assignee changed from paul leroy to Veronique bouzid

Bug identifié, le champ n'était pas mis a jour pour tous les paquets BP, quel que soit le mode.
Correction effectuée dans 3.0.0.10.

#2 - 05/10/2015 12:01 PM - bruno katra

- Description updated

#3 - 06/10/2015 10:53 AM - Veronique bouzid
- Status changed from Feedback to Closed
https://jira-lesia.obspm.fr/browse/RPWMEB-508

Le bug est corrigé en 3.0.0.10.

tous les champs de TC_LFR_UPDATE_INFO sont recopiés dans les TM_LFR_SCIENCE_BURST_BP*
- CP_PDU_BIAS ON_OFF

-PA_BIA_MODE_MUX_SET

- PA_BIA_MODE_HV_ENABLED

- PA_BIA_ MODE_BIAS1_ENABLED

- PA_BIA_MODE_BIAS2 ENABLED

- PA_BIA_MODE_BIAS3 ENABLED

les fichiers (2015_10_06-10_25_16%) sont rangés dans le répertoire /home/validation/data/R3/3.0.0.10/1.1.89/SVS-0038.

Contexte du test

FSW 3.0.0.10

VHDL 1.1.89

EM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee
